Skip to main content
DELETE
/
api
/
v1
/
search
/
text-store
/
stores
/
{store_name}
/
texts
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.search.textStore.deleteTexts({
    storeName: "<value>",
    xApiKeyId: "<id>",
    xUserId: "<id>",
    xExchangeJwtExternalUserId: "<id>",
    deleteTextsRequest: {
      texts: [
        "USB-C charging cable with braided nylon sleeve",
      ],
      groups: [
        "electronics_q1_2026",
      ],
    },
  });

  console.log(result);
}

run();
{
  "deleted_count": 2,
  "message": "Successfully deleted 2 texts"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

x-api-key-id
string
required
x-user-id
string
required
x-exchange-jwt-external-user-id
string
required

Path Parameters

store_name
string
required

Body

application/json

Request to delete texts from a store.

texts
string[] | null

Specific texts to delete (optional)

groups
string[] | null

Delete all texts with these group identifiers (optional)

Response

Successful Response

Response after deleting texts.

deleted_count
integer
required

Number of texts deleted

message
string
required

Operation status message